package de.frajul.endlessroll.entities.collectables;

import de.frajul.endlessroll.data.Vector;
import de.frajul.endlessroll.entities.Entity;
import de.frajul.endlessroll.entities.textures.Texture;
import de.frajul.endlessroll.levels.PositionData;

public class Star extends Entity {

    private final static float SIZE = 0.25f;
    private int index;

    public Star(int index, Texture texture, PositionData data) {
        super(texture, new Vector(data.getX(), data.getY()), SIZE, SIZE);
        this.index = index;
    }

    public int getIndex() {
        return index;
    }
}
